git@vger.kernel.org mailing list mirror (one of many)
 help / color / mirror / code / Atom feed
From: randall.s.becker@rogers.com
To: git@vger.kernel.org
Cc: "Randall S. Becker" <rsbecker@nexbridge.com>
Subject: [Patch 4/5] t9603-cvsimport-patchsets: exclude test if cvs is not installed
Date: Thu, 13 Jun 2019 14:53:12 -0400	[thread overview]
Message-ID: <20190613185313.16120-5-randall.s.becker@rogers.com> (raw)
In-Reply-To: <20190613185313.16120-1-randall.s.becker@rogers.com>

From: "Randall S. Becker" <rsbecker@nexbridge.com>

The t9603-cvsimport-patchsets test requires the cvs package to
be installed on the system on which the test is being run. The test
will fail if cvs is not installed. The patch checks that cvs is
installed by running the object without arguments, which should
complete successfully if available.

Signed-off-by: Randall S. Becker <rsbecker@nexbridge.com>
---
 t/t9603-cvsimport-patchsets.sh | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/t/t9603-cvsimport-patchsets.sh b/t/t9603-cvsimport-patchsets.sh
index 3e64b11eac..354cd66400 100755
--- a/t/t9603-cvsimport-patchsets.sh
+++ b/t/t9603-cvsimport-patchsets.sh
@@ -14,6 +14,13 @@
 test_description='git cvsimport testing for correct patchset estimation'
 . ./lib-cvs.sh
 
+cvs >/dev/null 2>&1
+if test $? -ne 1
+then
+	skip_all='skipping git-cvsimport tests, cvs not found'
+	test_done
+fi
+
 setup_cvs_test_repository t9603
 
 test_expect_failure PERL 'import with criss cross times on revisions' '
-- 
2.22.0


  parent reply	other threads:[~2019-06-13 18:53 UTC|newest]

Thread overview: 9+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-06-13 18:53 [Patch 0/5] Add exclusions for tests requiring cvs where cvs is not installed randall.s.becker
2019-06-13 18:53 ` [Patch 1/5] t9600-cvsimport: exclude test if " randall.s.becker
2019-06-13 18:53 ` [Patch 2/5] t9601-cvsimport-vendor-branch: " randall.s.becker
2019-06-13 18:53 ` [Patch 3/5] t9602-cvsimport-branches-tags: " randall.s.becker
2019-06-13 18:53 ` randall.s.becker [this message]
2019-06-13 18:53 ` [Patch 5/5] t9604-cvsimport-timestamps: " randall.s.becker
2019-06-13 19:06 ` [Patch 0/5] Add exclusions for tests requiring cvs where " Jeff King
2019-06-13 19:30   ` Randall S. Becker
2019-06-13 22:46     ` Randall S. Becker

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

  List information: http://vger.kernel.org/majordomo-info.html

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20190613185313.16120-5-randall.s.becker@rogers.com \
    --to=randall.s.becker@rogers.com \
    --cc=git@vger.kernel.org \
    --cc=rsbecker@nexbridge.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
Code repositories for project(s) associated with this public inbox

	https://80x24.org/mirrors/git.git

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).